:root {
  --cursor-default: url("/images/cursor/emoji/set1-default.png") 0 0, auto;
  --cursor-pointer: url("/images/cursor/emoji/set1-pointer.png") 0 0, pointer;
  --cursor-text: url("/images/cursor/emoji/set1-text.png") 0 0, text;
  --cursor-busy: url("/images/cursor/emoji/set1-busy.png") 0 0, wait;
}

html,
body,
#container {
  cursor: var(--cursor-default) !important;
}

body.cursor-state-default,
body.cursor-state-default * {
  cursor: var(--cursor-default) !important;
}

body.cursor-state-pointer,
body.cursor-state-pointer * {
  cursor: var(--cursor-pointer) !important;
}

body.cursor-state-text,
body.cursor-state-text * {
  cursor: var(--cursor-text) !important;
}

body.cursor-state-busy,
body.cursor-state-busy * {
  cursor: var(--cursor-busy) !important;
}
